Skip to content

# Interface: KubeObjectListLayoutProps ‹T›

## Type parameters

▪ T: ItemObject

## Hierarchy

- ItemListLayoutProps

↳ KubeObjectListLayoutProps

## Index

### Properties

- addRemoveButtons
- className
- copyClassNameFromHeadCells
- customizeHeader
- customizeRemoveDialog
- customizeTableRowProps
- dependentStores
- detailsItem
- filterItems
- hasDetailsView
- headerClassName
- hideFilters
- isClusterScoped
- isConfigurable
- isReady
- isSearchable
- isSelectable
- items
- onDetails
- preloadStores
- renderFooter
- renderHeaderTitle
- renderItemMenu
- renderTableContents
- renderTableHeader
- searchFilters
- showHeader
- sortingCallbacks
- store
- tableId
- tableProps
- virtual

## Properties

### `Optional` addRemoveButtons

• addRemoveButtons? : Partial‹AddRemoveButtonsProps›

Inherited from KubeObjectListLayoutProps.addRemoveButtons

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:69

### className

• className: IClassName

Inherited from KubeObjectListLayoutProps.className

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:40

### `Optional` copyClassNameFromHeadCells

• copyClassNameFromHeadCells? : boolean

Inherited from KubeObjectListLayoutProps.copyClassNameFromHeadCells

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:62

### `Optional` customizeHeader

• customizeHeader? : function

Inherited from KubeObjectListLayoutProps.customizeHeader

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:55

#### Type declaration:

▸ (`placeholders`: IHeaderPlaceholders, `content`: ReactNode): Partial‹IHeaderPlaceholders› | ReactNode

Parameters:

Name | Type
--- | ---
`placeholders` | IHeaderPlaceholders
`content` | ReactNode

### `Optional` customizeRemoveDialog

• customizeRemoveDialog? : function

Inherited from KubeObjectListLayoutProps.customizeRemoveDialog

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:78

#### Type declaration:

▸ (`selectedItems`: T[]): Partial‹ConfirmDialogParams›

Parameters:

Name | Type
--- | ---
`selectedItems` | T[]

### `Optional` customizeTableRowProps

• customizeTableRowProps? : function

Inherited from KubeObjectListLayoutProps.customizeTableRowProps

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:68

#### Type declaration:

▸ (`item`: T): Partial‹TableRowProps›

Parameters:

Name | Type
--- | ---
`item` | T

### `Optional` dependentStores

• dependentStores? : KubeObjectStore[]

Overrides void

Defined in src/renderer/components/kube-object/kube-object-list-layout.tsx:15

### `Optional` detailsItem

• detailsItem? : T

Inherited from KubeObjectListLayoutProps.detailsItem

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:74

### `Optional` filterItems

• filterItems? : ItemsFilter‹T›[]

Inherited from KubeObjectListLayoutProps.filterItems

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:49

`deprecated`

### `Optional` hasDetailsView

• hasDetailsView? : boolean

Inherited from KubeObjectListLayoutProps.hasDetailsView

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:73

### `Optional` headerClassName

• headerClassName? : IClassName

Inherited from KubeObjectListLayoutProps.headerClassName

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:53

### `Optional` hideFilters

• hideFilters? : boolean

Inherited from KubeObjectListLayoutProps.hideFilters

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:46

### `Optional` isClusterScoped

• isClusterScoped? : boolean

Inherited from KubeObjectListLayoutProps.isClusterScoped

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:45

### `Optional` isConfigurable

• isConfigurable? : boolean

Inherited from KubeObjectListLayoutProps.isConfigurable

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:61

### `Optional` isReady

• isReady? : boolean

Inherited from KubeObjectListLayoutProps.isReady

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:58

### `Optional` isSearchable

• isSearchable? : boolean

Inherited from KubeObjectListLayoutProps.isSearchable

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:60

### `Optional` isSelectable

• isSelectable? : boolean

Inherited from KubeObjectListLayoutProps.isSelectable

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:59

### `Optional` items

• items? : T[]

Inherited from KubeObjectListLayoutProps.items

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:41

### `Optional` onDetails

• onDetails? : function

Inherited from KubeObjectListLayoutProps.onDetails

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:75

#### Type declaration:

▸ (`item`: T): void

Parameters:

Name | Type
--- | ---
`item` | T

### `Optional` preloadStores

• preloadStores? : boolean

Inherited from KubeObjectListLayoutProps.preloadStores

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:44

### `Optional` renderFooter

• renderFooter? : function

Inherited from KubeObjectListLayoutProps.renderFooter

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:79

#### Type declaration:

▸ (`parent`: ItemListLayout): React.ReactNode

Parameters:

Name | Type
--- | ---
`parent` | ItemListLayout

### `Optional` renderHeaderTitle

• renderHeaderTitle? : ReactNode | function

Inherited from KubeObjectListLayoutProps.renderHeaderTitle

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:54

### `Optional` renderItemMenu

• renderItemMenu? : function

Inherited from KubeObjectListLayoutProps.renderItemMenu

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:67

#### Type declaration:

▸ (`item`: T, `store`: ItemStore‹T›): ReactNode

Parameters:

Name | Type
--- | ---
`item` | T
`store` | ItemStore‹T›

### renderTableContents

• renderTableContents: function

Inherited from KubeObjectListLayoutProps.renderTableContents

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:66

#### Type declaration:

▸ (`item`: T): (string | number | false | true | object | ReactElement‹any, string | function | object› | ReactNodeArray‹› | ReactPortal‹› | TableCellProps‹›)[]

Parameters:

Name | Type
--- | ---
`item` | T

### renderTableHeader

• renderTableHeader: TableCellProps[] | null

Inherited from KubeObjectListLayoutProps.renderTableHeader

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:65

### `Optional` searchFilters

• searchFilters? : SearchFilter‹T›[]

Inherited from KubeObjectListLayoutProps.searchFilters

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:47

### `Optional` showHeader

• showHeader? : boolean

Inherited from KubeObjectListLayoutProps.showHeader

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:52

### `Optional` sortingCallbacks

• sortingCallbacks? : object

Inherited from KubeObjectListLayoutProps.sortingCallbacks

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:63

#### Type declaration:

- [ sortBy: string]: TableSortCallback

### store

• store: KubeObjectStore

Overrides void

Defined in src/renderer/components/kube-object/kube-object-list-layout.tsx:14

### `Optional` tableId

• tableId? : string

Inherited from KubeObjectListLayoutProps.tableId

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:39

### `Optional` tableProps

• tableProps? : Partial‹TableProps›

Inherited from KubeObjectListLayoutProps.tableProps

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:64

### `Optional` virtual

• virtual? : boolean

Inherited from KubeObjectListLayoutProps.virtual

Defined in src/renderer/components/item-object-list/item-list-layout.tsx:70